Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenContainerBase

All Superinterfaces:
  EObject, GenCommonBase, Notifier

All Known Subinterfaces:
  GenChildContainer, GenChildLabelNode, GenChildNode, GenCompartment, GenDiagram, GenNode, GenTopLevelNode

All Known Implementing Classes:
  GenChildContainerImpl, GenChildLabelNodeImpl, GenChildNodeImpl, GenCompartmentImpl, GenDiagramImpl, GenNodeImpl, GenTopLevelNodeImpl

public interface GenContainerBase
extends GenCommonBase

A representation of the model object 'Gen Container Base'.

The following features are supported:

- `Contained Nodes`

See Also:
  `GMFGenPackage.getGenContainerBase()`
** Generated **
Model:
  interface="true" abstract="true"

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`EList` `getContainedNodes()` Returns the value of the 'Contained Nodes' reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContainedNodes

    public EList getContainedNodes()

  Returns the value of the 'Contained Nodes' reference list. The list contents are of type `GenNode`.

  If the meaning of the 'Contained Nodes' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contained Nodes' reference list.
  See Also:
    `GMFGenPackage.getGenContainerBase_ContainedNodes()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenNode" transient="true" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.